This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 200129 - No sync extension
No sync extension
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2006-07-25 12:51 EDT by David Zeuthen
Modified: 2013-03-05 22:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 14:06:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output from xdpyinfo (5.94 KB, text/plain)
2006-07-25 12:51 EDT, David Zeuthen
no flags Details
xorg.conf file (2.78 KB, text/plain)
2006-07-25 12:53 EDT, David Zeuthen
no flags Details

  None (edit)
Description David Zeuthen 2006-07-25 12:51:14 EDT
Description of problem:

On Rawhide as of today, trying to run compiz I get

$ compiz --replace
compiz: No sync extension

Version-Release number of selected component (if applicable):

$ rpm -q compiz xorg-x11-drv-ati xorg-x11-server-Xorg
compiz-0.0.13-0.8.20060721git.fc6
xorg-x11-drv-ati-6.6.1-4.1
xorg-x11-server-Xorg-1.1.1-8.fc6

Will attach my xorg.conf and output of xdpyinfo
Comment 1 David Zeuthen 2006-07-25 12:51:14 EDT
Created attachment 133003 [details]
output from xdpyinfo
Comment 2 David Zeuthen 2006-07-25 12:53:21 EDT
Created attachment 133004 [details]
xorg.conf file

xorg.conf file - note that the "omit xfree86-dga" thing was from 

 http://www.hboeck.de/item/351#c3316

but made no difference. Also, starting up without the /etc/X11/xorg.conf file
didn't give me a SYNC extension either.
Comment 3 David Zeuthen 2006-07-25 12:56:19 EDT
Note this is on x86_64
Comment 4 Mike A. Harris 2006-07-26 05:00:12 EDT
Try running "system-config-display --reconfig"
Comment 5 David Zeuthen 2006-07-27 22:14:18 EDT
Seems to bork

[davidz@orion ~]$ system-config-display --reconfig
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 364, in ?
    reload(gtk)        
  File "/usr/lib64/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 40, in ?
    from gtk import _gtk
ImportError: cannot import name _gtk

in a not-so-nice way. It starts a new X server but then it just hangs. Manually
switching back to the console I have to kill the new X server. So that's
actually another bug! Any clue what's wrong? I have almost zero i386 packages
installed so maybe some of your deps are wrong...

Thanks,
David
Comment 6 Matthias Clasen 2006-07-27 22:28:08 EDT
that pygtk problem got investigated by johnp and alexl today, and they committed
an extremely ugly fix for it.
Comment 7 Mike A. Harris 2006-07-28 01:08:53 EDT
(In reply to comment #5)
> Seems to bork
> 
> [davidz@orion ~]$ system-config-display --reconfig
> Traceback (most recent call last):
>   File "/usr/share/system-config-display/xconf.py", line 364, in ?
>     reload(gtk)        
>   File "/usr/lib64/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 40, in ?
>     from gtk import _gtk
> ImportError: cannot import name _gtk
> 
> in a not-so-nice way. It starts a new X server but then it just hangs. Manually
> switching back to the console I have to kill the new X server. So that's
> actually another bug! Any clue what's wrong? I have almost zero i386 packages
> installed so maybe some of your deps are wrong...

There are one or more bugs filed against system-config-display for the
_gtk issue (don't have bug IDs handy), but still in NEW state with no
comments, so not sure what's up with that.  Might want to ping ajax about
it though (he's the maintainer).

Comment 8 Mike A. Harris 2006-07-28 01:13:38 EDT
ajax:  Just some guesswork... Could the module autoload changes you committed
recently to the X server to avoid the need for specifying them in the config
file be causing this perhaps?  It the Module load section in the config now
being ignored perhaps?

SYNC is part of extmod IIRC, so possibly extmod isn't getting loaded?

Comment 9 David Zeuthen 2006-08-06 20:11:36 EDT
OK, this seems wrong:

(II) LoadModule: "extmod"
(II) Loading /usr/lib64/xorg/modules/libextmod.so
dlopen: /usr/lib64/xorg/modules/libextmod.so: undefined symbol: LbxReqCode
Comment 10 Adam Jackson 2006-08-06 22:42:24 EDT
Yeah, that would be a problem.  What package owns that file?
Comment 11 David Zeuthen 2006-08-07 10:19:12 EDT
Interesting

[davidz@orion ~]$ ls -l /usr/lib64/xorg/modules/libextmod.so
-rwxr-xr-x 1 root root 241368 Nov 17  2005 /usr/lib64/xorg/modules/libextmod.so
[davidz@orion ~]$ rpm -qf /usr/lib64/xorg/modules/libextmod.so
file /usr/lib64/xorg/modules/libextmod.so is not owned by any package

Hmm.. I wonder why that is. Did libextmod.so move? Where does it live now? Where
did it use to live... I wonder if the wonders of yum and rpm are at play here..

Perplexed...

[davidz@orion ~]$ rpm -qa|grep xorg |sort
xorg-x11-apps-7.1-2.fc6
xorg-x11-drivers-7.1-2.1
xorg-x11-drv-acecad-1.1.0-2.1
xorg-x11-drv-aiptek-1.0.1-2
xorg-x11-drv-ast-0.81.0-3
xorg-x11-drv-ati-6.6.1-7.fc6
xorg-x11-drv-calcomp-1.1.0-1.1
xorg-x11-drv-citron-2.2.0-1.1
xorg-x11-drv-digitaledge-1.1.0-1.1
xorg-x11-drv-dmc-1.1.0-2
xorg-x11-drv-dummy-0.2.0-2.1
xorg-x11-drv-dynapro-1.1.0-2
xorg-x11-drv-elo2300-1.1.0-1.1
xorg-x11-drv-elographics-1.1.0-1.1
xorg-x11-drv-evdev-1.1.2-2.1
xorg-x11-drv-fbdev-0.3.0-1.1
xorg-x11-drv-fpit-1.1.0-1.1
xorg-x11-drv-hyperpen-1.1.0-2
xorg-x11-drv-i810-1.6.0-13.20060717modeset.fc6
xorg-x11-drv-jamstudio-1.1.0-1.1
xorg-x11-drv-joystick-1.1.0-1.1
xorg-x11-drv-keyboard-1.1.0-2.1
xorg-x11-drv-magellan-1.1.0-1.1
xorg-x11-drv-magictouch-1.0.0.5-2.1
xorg-x11-drv-mga-1.4.1-4.1
xorg-x11-drv-microtouch-1.1.0-1.1
xorg-x11-drv-mouse-1.1.1-1.1
xorg-x11-drv-mutouch-1.1.0-2
xorg-x11-drv-nv-1.2.0-3.fc6
xorg-x11-drv-palmax-1.1.0-1.1
xorg-x11-drv-penmount-1.1.0-2.1
xorg-x11-drv-s3-0.4.1-2.1
xorg-x11-drv-s3virge-1.9.1-2.1
xorg-x11-drv-savage-2.1.1-5.fc6
xorg-x11-drv-siliconmotion-1.4.1-2.1
xorg-x11-drv-sis-0.9.1-4
xorg-x11-drv-sisusb-0.8.1-4.1
xorg-x11-drv-spaceorb-1.1.0-1.1
xorg-x11-drv-summa-1.1.0-1.1
xorg-x11-drv-tdfx-1.2.1-3.1
xorg-x11-drv-trident-1.2.1-3.fc6
xorg-x11-drv-ur98-1.1.0-1.1
xorg-x11-drv-vesa-1.2.1-2
xorg-x11-drv-vga-4.1.0-2.1
xorg-x11-drv-via-0.2.1-4.1
xorg-x11-drv-vmmouse-12.4.0-2.1
xorg-x11-drv-vmware-10.13.0-2.1
xorg-x11-drv-void-1.1.0-3.1
xorg-x11-drv-voodoo-1.1.0-3.1
xorg-x11-filesystem-7.1-2.fc6
xorg-x11-fonts-100dpi-7.1-1
xorg-x11-fonts-75dpi-7.1-1
xorg-x11-fonts-base-7.1-1
xorg-x11-fonts-ISO8859-1-75dpi-7.1-1
xorg-x11-fonts-misc-7.1-1
xorg-x11-fonts-truetype-7.1-1
xorg-x11-fonts-Type1-7.1-1
xorg-x11-font-utils-7.1-2
xorg-x11-proto-devel-7.1-5.fc6
xorg-x11-server-utils-7.1-4.fc6
xorg-x11-server-Xorg-1.1.1-15.fc6
xorg-x11-twm-1.0.1-3.1
xorg-x11-util-macros-1.0.2-4.fc6
xorg-x11-utils-7.1-2.fc6
xorg-x11-xauth-1.0.1-2.1
xorg-x11-xfs-1.0.2-3.1
xorg-x11-xinit-1.0.2-8.fc6
xorg-x11-xkb-utils-1.0.2-2.1

Comment 12 Adam Jackson 2006-08-07 12:11:38 EDT
(In reply to comment #11)
> Hmm.. I wonder why that is. Did libextmod.so move? Where does it live now? Where
> did it use to live... I wonder if the wonders of yum and rpm are at play here..

rpm -ql --provides xorg-x11-server-Xorg

Note You need to log in before you can comment on or make changes to this bug.